Summary: GUI Toolkit for X Windows
Name: bxform
Version: 0.86
Release: 1
Source: ftp://einstein.phys.uwm.edu/pub/xforms/linux/elf/bxform-086.tgz
Copyright: Free for non-commercial use
Group: Libraries
Prefix: /usr
URL: http://bragg.phys.uwm.edu/~zhao/xforms_home.html
Packager: nathan.hand@anu.edu.au

%description
An easy to program and use GUI toolkit for X Windows.

%prep
%setup -n xforms
%build

%install
mkdir -p /usr/lib/xforms
find DEMOS -print | cpio -p /usr/lib/xforms
find contrib -print | cpio -p /usr/lib/xforms
install -m 644 FORMS/forms.h          /usr/include
install -m 644 FORMS/libforms.a       /usr/lib
install -m 755 FORMS/libforms.so.0.86 /usr/lib
install -m 644 FORMS/xforms.5         /usr/man/man5
install -m 755 DESIGN/fdesign         /usr/bin
install -m 644 DESIGN/fdesign.1       /usr/man/man1
install -m 755 fd2ps/fd2ps            /usr/bin
install -m 644 fd2ps/fd2ps.1          /usr/man/man1
cd /usr/lib
ln -s libforms.so.0.86 libforms.so
ln -s libforms.so.0.86 libforms.so.0

%post
ldconfig

%postun
ldconfig

%files
%doc Bugs Changes Copyright Readme
/usr/bin/fd2ps
/usr/bin/fdesign
/usr/lib/xforms
/usr/lib/libforms.a
/usr/lib/libforms.so
/usr/lib/libforms.so.0
/usr/lib/libforms.so.0.86
/usr/man/man1/fd2ps.1
/usr/man/man1/fdesign.1
/usr/man/man5/xforms.5
/usr/include/forms.h
